Build (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.rest.build

## Class Build

- java.lang.Object
- - com.ibm.streamsx.rest.build.Element
  - - com.ibm.streamsx.rest.build.Build

-     public class Build
      extends Element

  An object describing an IBM Streams build.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.ibm.streamsx.rest.build.Element

      `Element.ElementArray<E extends Element>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Build()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `action(java.lang.String type, java.lang.String propertyName, com.google.gson.JsonObject property)`
    `void` | `delete()`
    `java.util.List<Artifact>` | `getArtifacts()`
    `long` | `getCreationTime()` Gets the time in milliseconds when this domain was created.
    `java.lang.String` | `getCreationUser()` Gets the user ID that created this build.
    `com.google.gson.JsonObject` | `getFailureReason()`
    `java.lang.String` | `getId()` Gets the IBM Streams unique identifier for this build.
    `java.util.List<java.lang.String>` | `getLogMessages()`
    `com.google.gson.JsonObject` | `getMetrics()`
    `java.lang.String` | `getName()` Gets the name for this build.
    `java.lang.String` | `getStatus()` Gets the status of the build.
    `Build` | `submit()`
    `Build` | `submit(java.lang.String propertyName, com.google.gson.JsonObject property)`
    `Build` | `uploadArchive(java.io.File archive)`
    `Build` | `uploadArchiveAndBuild(java.io.File archive)`

    - ### Methods inherited from class com.ibm.streamsx.rest.build.Element

      `createList, refresh, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Build

          public Build()

  - ### Method Detail

    - #### getCreationTime

          public long getCreationTime()

      Gets the time in milliseconds when this domain was created.
      Returns:
        the epoch time in milliseconds when the domain was created.

    - #### getCreationUser

          public java.lang.String getCreationUser()

      Gets the user ID that created this build.
      Returns:
        the creation user ID

    - #### getId

          public java.lang.String getId()

      Gets the IBM Streams unique identifier for this build.
      Returns:
        the IBM Streams unique identifier.

    - #### getStatus

          public java.lang.String getStatus()

      Gets the status of the build.
      Returns:
        the instance status that contains one of the following values:
        - running
        - stopping
        - stopped
        - starting
        - removing
        - unknown
        - built
        - failed

    - #### getName

          public java.lang.String getName()

      Gets the name for this build.
      Returns:
        name for this build.

    - #### getFailureReason

          public com.google.gson.JsonObject getFailureReason()

      Returns:
        the failureReason

    - #### getMetrics

          public com.google.gson.JsonObject getMetrics()

    - #### uploadArchive

          public Build uploadArchive(java.io.File archive)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### uploadArchiveAndBuild

          public Build uploadArchiveAndBuild(java.io.File archive)
                                      throws java.io.IOException,
                                             java.lang.InterruptedException

      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

    - #### getLogMessages

          public java.util.List<java.lang.String> getLogMessages()
                                                          throws java.io.IOException,
                                                                 java.lang.InterruptedException

      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

    - #### submit

          public Build submit(java.lang.String propertyName,
                              com.google.gson.JsonObject property)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### submit

          public Build submit()
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### action

          public void action(java.lang.String type,
                             java.lang.String propertyName,
                             com.google.gson.JsonObject property)
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getArtifacts

          public java.util.List<Artifact> getArtifacts()
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### delete

          public void delete()
                      throws java.io.IOException

      Throws:
        `java.io.IOException`